/*
    작성자 : 공현지
    작성일 : 2025-01-24
    수정자 :
    수정일 :
    설명   : 사용자 전체 목록
*/
import { defineStore } from "pinia";
import axios from "@api";

export const useUserStore = defineStore("userStore", {
    state: () => ({
        userList: [],
    }),
    actions: {
        async fetchUserList() {
            const response = await axios.get('user/allUserList');
            this.userList = response.data.data;
        },
    },
});
